﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web

Namespace Samples
	Public Module StringExtension
		<System.Runtime.CompilerServices.Extension> _
		Public Function ParseToDictionary(ByVal body As String) As Dictionary(Of String, Object)
			If String.IsNullOrEmpty(body) Then
				Return Nothing
			End If

			Dim response As New Dictionary(Of String, Object)()
			Dim parts() As String = body.Split("&"c)
			For Each s As String In parts
				Dim elements() As String = s.Split("="c)
				response.Add(TryCast(elements(0), String), elements(1))
			Next s

			Return response
		End Function
	End Module
End Namespace